Bug 185809 - USB audio driver produces kernel errors in log when connected through USB hub
USB audio driver produces kernel errors in log when connected through USB hub
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-18 12:08 EST by Eugene Savelov
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-25 11:03:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eugene Savelov 2006-03-18 12:08:39 EST
Description of problem:
Using USB audio headset with ekiga  produces kernel error messages

Mar 18 19:59:18 localhost kernel: cannot submit datapipe for urb 0, err = -28
Mar 18 19:59:49 localhost last message repeated 2086 times
Mar 18 20:04:59 localhost last message repeated 998 times

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install fedora cor5test3
2.update kernel, ekiga, udev
3.call using USB headset 

Actual results:
get error messages, but the audio works.

Expected results:

audio work, no error messages

Additional info:
Comment 1 Eugene Savelov 2006-03-18 13:10:35 EST
These errors are only displayed when USB headset is connected through  usb hub
D-Link DUB-H4.  When plugged directly, it works OK.
seems like nearly the same bug as #34002 in ubuntu

Comment 2 Pete Zaitcev 2006-03-18 13:42:28 EST
It's a wontfix material. This problem needs serious work with the scheduling
of ISOs in EHCI. I think more of it started to get to light now that TT is
enabled in high-speed hubs. I suppose one option is to use an old 1.1 hub,
but even then scheduling is not optimal. For example, INTs and ISOs step
on each other. David Brownell tackled this in the past, maybe he can be
persuaded again.
Comment 3 Eugene Savelov 2006-03-20 08:49:42 EST
Yes, actually audio even when plugged directly, is not ideal. Others complain 
that they do not hear me someitmes, I hear some clicks everytime.
Comment 4 Dave Jones 2006-10-16 13:58:23 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Eugene Savelov 2007-03-25 11:03:40 EDT
I checked against kernel-2.6.20-1.2307.fc5, it is working OK

Note You need to log in before you can comment on or make changes to this bug.